/*
*  uChip Tetris, another Tetris clone, this time for uChip Simple VGA Console (uSVC)
*  Copyright 2019-2020 Nicola Wrachien (next-hack.com)
*
*  This game demonstrates the capabilities of the Bitmapped Mode, allowing to show up to
*  256 colors (limitations apply).
*
*  This file is part of uChip Tetris.
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program  is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
*  tl;dr
*  Do whatever you want, this program is free! Though we won't
*  reject donations https://next-hack.com/index.php/donate/ :)
*
*  patches.c/h. Sound effects for uChip Tetris.
*/
#include "main.h" 
const char myFirstPatch[] =
{
	0, PC_WAVE, 0,       // set sine wave
	0, PC_PITCH, 69,     // set note 69, 440 Hz
	57, PC_NOTE_CUT, 0,  // stop playing after 57 frames
	0, PATCH_END,		 // mandatory end of patch
};
const char mySecondPatch[] =
{
	0, PC_WAVE, 3,		// set square wave, 25% duty cycle
	0, PC_PITCH, 69,	// set note 69, 440 Hz
	57, PC_WAVE, 1,		// after 1 secnd change wave to sawtooth
	0, PC_PITCH, 71,	// set note to 71, 493.9 Hz
	57, PC_NOTE_CUT, 0,  // stop playing after 57 frames
	0, PATCH_END,		 // mandatory end of patch
};

const patch_t patches[] = 
{
	{0,  0,(uint8_t*) myFirstPatch, 0, 256},
	{0,  0,(uint8_t*) mySecondPatch, 0, 256},
};
int getNumberOfPatches()
{
	return sizeof(patches) / sizeof(patch_t);
}